Bug 165222 - rc.sysinit tries to i18n a command name
rc.sysinit tries to i18n a command name
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: initscripts (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
: 170688 (view as bug list)
Depends On: 151120
Blocks: 145411
  Show dependency treegraph
Reported: 2005-08-05 12:13 EDT by Bill Nottingham
Modified: 2014-03-16 22:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-07 16:44:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2005-08-05 12:13:05 EDT
+++ This bug was initially created as a clone of Bug #151120 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6)
Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
This bug comes from a long date, IIRC. I remember seing it on RedHat9,
maybe before. It's kinda harmless, and maybe no one cared yet.

On line 273 of rc.sysinit, it does:

       action $"Setting clock $CLOCKDEF: `date`" date

Note that the command "date" is inside the $".." text, and so it gets
i18n'ed too. In portuguese, "date" becomes "data", and it spits an
error  on boot time:

       rc.sysinit: data: command not found

I also suspect you don't need the *two* "date" commands on that line,
just to print date on screen.


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Just reboot the machine and watch rc.sysinit run.

Actual Results:  I can see the error "rc.sysinit: data: command not
found on line 273".

Expected Results:  The expected result was to see the string "Setting
clock $CLOCKDEF: " followed by the current date and not an error.

Additional info:

Cloned; this has already been fixed in FC4, and is also cloned as 163535 for RHEL 3.
Comment 2 Bill Nottingham 2005-10-07 16:44:08 EDT
This was fixed in RHBA-2005:607.
Comment 3 Bill Nottingham 2005-10-17 15:06:24 EDT
*** Bug 170688 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.